Bug 299071 - Pulseaudio device chooser crashes randomly
Pulseaudio device chooser crashes randomly
Product: Fedora
Classification: Fedora
Component: padevchooser (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-20 15:27 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.3.svn20070925
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-11 12:13:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-09-20 15:27:17 EDT
Description of problem:

A bit strange; pulseaudio daemon up and running, just pydevchooser refuses to start.

Version-Release number of selected component (if applicable):


Steps to reproduce:
$ padevchooser 
Segmentation fault (core dumped)

Actual results:

(gdb) bt
#0  0x00ad7f0c in g_type_check_instance_cast () from /lib/libgobject-2.0.so.0
#1  0x0804b272 in look_for_current_menu_item (h=<value optimized out>,
device=0x0, look_for_device=0, current_menu_item_info=0x805064c,
    other_menu_item=0x97a3968) at padevchooser.c:106
#2  0x0804b4b7 in look_for_current_menu_items () at padevchooser.c:130
#3  0x00112662 in ?? () from /usr/lib/libpulse-browse.so.0
#4  0x006600d4 in avahi_service_resolver_event (client=0x97acf68,
event=AVAHI_RESOLVER_FOUND, message=0x97b2a70) at resolver.c:148
#5  0x0065a7fe in filter_func (bus=0x97b15e0, message=0x97b2a70,
userdata=0x97acf68) at client.c:256
#6  0x002ef9d2 in dbus_connection_dispatch () from /lib/libdbus-1.so.3
#7  0x00661a8c in dispatch_timeout_callback (t=0x97b1270, userdata=0x97ad038) at
#8  0x00112c34 in ?? () from /usr/lib/libpulse-browse.so.0
#9  0x00116ca3 in ?? () from /usr/lib/libpulse-mainloop-glib.so.0
#10 0x00d587f2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#11 0x00d5b7cf in ?? () from /lib/libglib-2.0.so.0
#12 0x00d5bb79 in g_main_loop_run () from /lib/libglib-2.0.so.0
#13 0x04d0af44 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x0804c8d5 in main (argc=1, argv=0xbfdf0db4) at padevchooser.c:810
#15 0x00ba5f70 in __libc_start_main () from /lib/libc.so.6
#16 0x0804a9e1 in _start ()

Additional info:

I will provide the relevant core dump and/or more information about it upon request.
Comment 1 Lubomir Kundrak 2007-09-20 15:31:23 EDT
Not reproducible anymore after several (~10) attempts to start.
Comment 2 Lubomir Kundrak 2007-10-08 10:17:00 EDT
Ping on this.
Comment 3 Lennart Poettering 2007-10-15 13:05:50 EDT
Humm, this is a very old padevchooser version. I am quite sure newer versions
behave a lot better. Any chance to get this reproduced on more recent versions?
If not I will close this bug.
Comment 4 Lubomir Kundrak 2007-10-15 13:20:59 EDT
Not. That is the latest F7 version.
Now I am using Rawhide, so I will surely let you know if this happens again.
Comment 5 Lennart Poettering 2007-11-11 12:13:16 EST
I will close this now as CURRENTRELEASE, since the version in F8 should not
suffer by this problem anymore.

Note You need to log in before you can comment on or make changes to this bug.